/*
 * Max Fighter Windows Install Script
 * Written by Marian Schedenig
 */

!include "MUI.nsh"

;--------------------------------

!define MUI_NAME "Max Fighter" ;Installer name
!define MUI_ICON "../../maxfighter.ico"
!define MUI_UNICON "../../maxfighter.ico"
!define MUI_HEADERIMAGE
!define MUI_HEADERIMAGE_BITMAP "../../packaging/win32/icon.bmp"
!define MUI_HEADERIMAGE_BITMAP_NOSTRETCH
!define MUI_HEADERIMAGE_RIGHT

!define VER_MAJOR 1
!define VER_MINOR 0

;--------------------------------

Name "Max Fighter"
OutFile SetupMaxFighter.exe

Icon "../../maxfighter.ico"
UninstallIcon "../../maxfighter.ico"

; The default installation directory
InstallDir "$PROGRAMFILES\Max Fighter"

; Registry key to check for directory (so if you install again, it will
; overwrite the old one automatically)
InstallDirRegKey HKLM "SOFTWARE\Max Fighter" "Install_Dir"


;--------------------------------

  !insertmacro MUI_PAGE_LICENSE "../../packaging/win32/license.txt"
  
  !insertmacro MUI_PAGE_COMPONENTS
  !insertmacro MUI_PAGE_DIRECTORY
  !insertmacro MUI_PAGE_INSTFILES

  !insertmacro MUI_UNPAGE_CONFIRM
  !insertmacro MUI_UNPAGE_INSTFILES
  !define MUI_COMPONENTSPAGE_NODESC 1

;--------------------------------

	!insertmacro MUI_LANGUAGE "English"

;--------------------------------

Section "!Max Fighter Game (required)"
	SectionIn RO
	
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR

  ; Put files there
  File maxfighter.exe
  File *.dll
  File ..\..\docs\gpl.txt
  File ..\..\packaging\win32\OpenALwEAX.exe

	SetOutPath $INSTDIR\docs
	File docs\*

	SetOutPath $INSTDIR\docs\img
	File docs\img\*

	SetOutPath $INSTDIR\resources
	File resources\resources.xml

	SetOutPath $INSTDIR\resources\fonts\standard
	File resources\fonts\standard\*

	SetOutPath $INSTDIR\resources\images
	File resources\images\*

	SetOutPath $INSTDIR\resources\images_hud
	File resources\images_hud\*

	SetOutPath $INSTDIR\resources\images_gui
	File resources\images_gui\*

	SetOutPath $INSTDIR\resources\music
	File resources\music\*

	SetOutPath $INSTDIR\resources\sounds
	File resources\sounds\*

	SetOutPath $INSTDIR

  ;Store installation folder
  WriteRegStr HKCU "Software\MaxFighter" "" $INSTDIR

  ;Create uninstaller
  WriteUninstaller "$INSTDIR\Uninstall.exe"

  ; Write the uninstall keys for Windows
  ;WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MaxFighter" "DisplayName" "NSIS MaxFighter (remove only)"
  ;WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MaxFighter" "UninstallString" '"$INSTDIR\uninstall.exe"'
  ;WriteUninstaller "uninstall.exe"
SectionEnd

; OpenAL installer
Section "Install OpenAL  (required)"
	ExecWait "$INSTDIR\OpenALwEAX.exe"
SectionEnd

; optional section
Section "Start Menu Shortcuts"
  CreateDirectory "$SMPROGRAMS\Max Fighter"
  CreateShortCut "$SMPROGRAMS\Max Fighter\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\Max Fighter\Play Max Fighter.lnk" "$INSTDIR\MaxFighter.exe" "" "$INSTDIR\MaxFighter.exe" 0
  CreateShortCut "$SMPROGRAMS\Max Fighter\Max Fighter Readme.lnk" "$INSTDIR\docs\readme.html" "" "$INSTDIR\docs\readme.html" 0
SectionEnd

Section "Uninstall"
  Delete $INSTDIR\maxfighter.exe
  Delete $INSTDIR\*.dll
  RMDir /r $INSTDIR\resources

  Delete "$INSTDIR\Uninstall.exe"

  RMDir "$INSTDIR"

  ; remove shortcuts, if any.
  Delete "$SMPROGRAMS\Max Fighter\*.*"
  RMDir "$SMPROGRAMS\Max Fighter"

  DeleteRegKey /ifempty HKCU "Software\MaxFighter"
SectionEnd
